| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Enumerations | Functions
IP: GPIO Pin Interrupt register block and driver
IP drivers: Common drivers used on multiple NXP devices

## Detailed Description

## Data Structures
struct | IP_GPIOPININT_001_T
| GPIO pin interrupt register block structure. More...

## Enumerations
enum | IP_GPIOPININT_MODE_T { GPIOPININT_FALLING_EDGE = 0, GPIOPININT_ACTIVE_LOW_LEVEL = 1, GPIOPININT_RISING_EDGE = (1 << 12), GPIOPININT_ACTIVE_HIGH_LEVEL = 1 | (1 << 12), GPIOPININT_BOTH_EDGES = (1 << 24), GPIOPININT_RISING_EDGE = 0x01, GPIOPININT_FALLING_EDGE = 0x02, GPIOPININT_RISING_EDGE = 0x01, GPIOPININT_FALLING_EDGE = 0x02, GPIOPININT_ACTIVE_HIGH_LEVEL = 0x04, GPIOPININT_ACTIVE_LOW_LEVEL = 0x08 }

## Functions
void | IP_GPIOPININT_IntCmd (IP_GPIOPININT_001_T *pGPIOPININT, uint8_t PortNum, IP_GPIOPININT_MODE_T IntMode)
| Enable GPIO Interrupt.
STATIC INLINE bool | IP_GPIOPININT_IntGetStatus (IP_GPIOPININT_001_T *pGPIOPININT, uint8_t PortNum)
| Get GPIO Interrupt Status.
STATIC INLINE void | IP_GPIOPININT_IntClear (IP_GPIOPININT_001_T *pGPIOPININT, uint8_t PortNum)
| Clear GPIO Interrupt (Edge interrupt cases only)

## Enumeration Type Documentation

enum IP_GPIOPININT_MODE_T

Enumerator:

  GPIOPININT_FALLING_EDGE | Selects interrupt on pin x to be triggered on FALLING level
  GPIOPININT_ACTIVE_LOW_LEVEL | Selects interrupt on pin x to be triggered on LOW level
  GPIOPININT_RISING_EDGE | Selects interrupt on pin x to be triggered on RISING level
  GPIOPININT_ACTIVE_HIGH_LEVEL | Selects interrupt on pin x to be triggered on HIGH level
  GPIOPININT_BOTH_EDGES | Selects interrupt on pin x to be triggered on both edges
  GPIOPININT_RISING_EDGE |
  GPIOPININT_FALLING_EDGE |
  GPIOPININT_RISING_EDGE |
  GPIOPININT_FALLING_EDGE |
  GPIOPININT_ACTIVE_HIGH_LEVEL |
  GPIOPININT_ACTIVE_LOW_LEVEL |

Definition at line 63 of file gpiopinint_001.h.

## Function Documentation

STATIC INLINE void IP_GPIOPININT_IntClear | ( | IP_GPIOPININT_001_T * | pGPIOPININT,
|  | uint8_t | PortNum
| ) |  |

Clear GPIO Interrupt (Edge interrupt cases only)

Parameters

  pGPIOPININT | : Pointer to GPIO interrupt register block
  PortNum | : GPIO port number interrupt

Returns
  None

Definition at line 100 of file gpiopinint_001.h.

void IP_GPIOPININT_IntCmd | ( | IP_GPIOPININT_001_T * | pGPIOPININT,
|  | uint8_t | PortNum,
|  | IP_GPIOPININT_MODE_T | IntMode
| ) |  |

Enable GPIO Interrupt.

Parameters

  pGPIOPININT | : Pointer to GPIO interrupt register block
  PortNum | : GPIO port number interrupt
  IntMode | : Interrupt mode, should be: 0: Rising edge interrupt mode 1: Falling edge interrupt mode 2: Active-High interrupt mode 3: Active-Low interrupt mode

Returns
  None

Definition at line 51 of file gpiopinint_001.c.

STATIC INLINE bool IP_GPIOPININT_IntGetStatus | ( | IP_GPIOPININT_001_T * | pGPIOPININT,
|  | uint8_t | PortNum
| ) |  |

Get GPIO Interrupt Status.

Parameters

  pGPIOPININT | : Pointer to GPIO interrupt register block
  PortNum | : GPIO port number interrupt

Returns
  true if interrupt is pending, otherwise false

Definition at line 89 of file gpiopinint_001.h.